
        <head> <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

        </head>
        
        <h1> <strong>  Liste des Missions </strong> </h1>
          <div class="panel-body">
          
                
                <div class="form-group">
                        <input type="search"[(ngModel)]="motcle" placeholder=" Saisir un mot clé">
                <button class=" btn btn-secondary" (click)="chercher()"> <i class="glyphicon glyphicon-search"></i></button> 
                </div>
        
              <table class="table table-striped table-bordered" class="table table-hover">
                  <thead>
                      <tr>
                          <th>#</th>
                          <th>Date départ</th>
                          <th>Date Arrivé</th>
                          <th>ID Chaufdeur</th>
                          <th>Id Vehicule</th>
                          <th> Station Départ</th>
                          <th> Station Arrivé</th>
                         <th> Actions</th>
                      </tr>
                  </thead>
                  <tbody>
                     <tr *ngFor="let mission of missions">
                         <td> {{mission.id_mission}}</td>
                         <td> {{mission.date_debut |date:'short' }}</td>
                         <td> {{mission.date_arrive |date:'short' }}</td>
                         <td> {{mission.chauffeur_id}}</td>
                         <td> {{mission.vehicule_id}}</td>
                         <td> {{mission.id_station_depart}}</td>
                         <td> {{mission.id_station_arrive}}</td>
                         <td><img (click)="deleteMission(mission.id_mission)" src="assets/images/supprimer.png " width=" 30" height="30" title="supprimer">
                            &nbsp;
                       <img (click)="UpdateMission(mission)" src="assets/images/modifier.png " width=" 30" height="30" title="modifier"> </td>
        
                     </tr>
                  </tbody>
              </table>
          </div>
          <br>
          <router-outlet> </router-outlet>
        